Bug 1338081 - Updating to blueman 2.0.4-2 breaks bluetooth
Summary: Updating to blueman 2.0.4-2 breaks bluetooth
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-21 14:43 UTC by seeker_moc
Modified: 2017-08-08 14:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:36:28 UTC
Type: Bug


Attachments (Terms of Use)
screenshot showing error (308.13 KB, image/png)
2016-05-21 14:43 UTC, seeker_moc
no flags Details

Description seeker_moc 2016-05-21 14:43:05 UTC
Created attachment 1160139 [details]
screenshot showing error

Description of problem:

Related to Bug# 1338015. Upgrading to 2.0.4-2 from 2.0.4-1 breaks all bluetooth functionality. Following a reboot, blueman tells me my bluetooth is turned off, and asks me to enable it, which it never did prior to -2. Clicking on enable doesn't change anything, and blueman gives me the error shown in the attached screenshot, the same as the error it used to only give prior to suspending and resuming the system, as discussed in bug 1338015.

Version-Release number of selected component (if applicable):

Applies only to version 2.0.4-2 which was just pushed through Fedora 24 Beta Updates-Testing yesterday. Unexpected behaviour was not present in previous version.

How reproducible:
Easily, happens every time.

Steps to Reproduce:
1. Update to blueman version 2.0.4-2
2. Reboot

Actual results:
Bluetooth doesn't work.

Expected results:
Bluetooth works as normal.

Additional info:
Downgrading back to 2.0.4-1 and rebooting restores bluetooth functionality.

Comment 1 seeker_moc 2016-05-25 21:31:27 UTC
Running "sudo hciconfig hci0 up" restores bluetooth functionality with this version on Blueman. However, even with BT working, blueman still reports BT as being turned off, and shows the red "X" on the tray icon.

Comment 2 seeker_moc 2016-05-26 17:12:13 UTC
Can confirm that the test build blueman-2.1-0.9.git3 fixes this bug for me.

Comment 3 Fedora Admin XMLRPC Client 2016-06-21 16:27:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2016-06-21 20:07:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 seeker_moc 2016-06-25 22:18:06 UTC
Could someone please re-post the .rpm for blueman-2.1-0.9.git3? I did a dnf distro-sync when the F24 RPMFusion repos came out, and it downgraded my Blueman back to a faulty version. I can no longer find ver 2.1 on koji anywhere, and without it my bluetooth doesn't work. Thanks.

Comment 6 Raphael Groner 2016-06-26 06:54:01 UTC
(In reply to seeker_moc from comment #5)
> Could someone please re-post the .rpm for blueman-2.1-0.9.git3?

There was never a build for 2.1-0.9 on koji, as it seems. But you can find 2.1-0.8 (latest for 2.1 series).
http://koji.fedoraproject.org/koji/buildinfo?buildID=716747

Comment 7 seeker_moc 2016-06-26 17:23:50 UTC
Thanks. Can confirm that 2.1-0.8 also fixes this bug for me.

Comment 8 seeker_moc 2016-07-24 01:41:48 UTC
Is there a way we can get Blueman 2.1 series into the repos? For whatever reason every time I update dnf wants to move me from 2.1 back to 2.0.4, making updates a pain.

Comment 9 Raphael Groner 2016-07-24 09:12:41 UTC
There have been some complaints about API incompatibilities between bluez and blueman, that was the reason blueman-2.1 got reverted. But I don't know what's the current state.

Comment 10 Gary Anderson 2017-01-05 21:07:21 UTC
With blueman 2.0.4-4.fc25, and bluez 5.43-1.fc25 bluetooth would not turn on. Downgraded bluez to 5.42-2.fc25 and bluetooth works fine.

Comment 11 Gary Anderson 2017-01-05 21:32:05 UTC
It seems I spoke too soon. Although I can now turn bluetooth on/off and my adapter sees various devices (cellphones) none of my devices see the adapter using either temporary or permanent visibility.

Comment 12 Fedora End Of Life 2017-07-25 20:51:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2017-08-08 14:36:28 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.